Summary: Cryptography File Systems
Name: BestCrypt
Version: 0.2b
Release: 1
Copyright: Jetico, Inc. (c) 1999 
Group: Utilities/System
Source: bcrypt-%{version}.tar.gz
Packager: Jetico, Inc.
Vendor: Jetico, Inc.
URL: http://www.jetico.com/
BuildRoot: /tmp/bcrypt-%{version}-root
requires: grep gawk

%description
Transparent Encryption File Systems.

%prep
%setup -n bcrypt-%{version}

%build
make 

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/dev
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man8
#install -d -m 755 $RPM_BUILD_ROOT/usr/man/man5
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc0.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc1.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc2.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc3.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc4.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc5.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -d -m 755 $RPM_BUILD_ROOT/lib/modules/`uname -r`/block
make install root=$RPM_BUILD_ROOT

# build directory and file lists
#find $RPM_BUILD_ROOT -type d | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) %dir #g" > rpm-files
  
find $RPM_BUILD_ROOT -type f | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" > rpm-files

find $RPM_BUILD_ROOT -type l | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files
     
find $RPM_BUILD_ROOT -type b | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files

%post 
depmod -a
/etc/rc.d/init.d/bcrypt start
echo
echo "See bctool(8) to get information on running BestCrypt"
echo
%clean
rm -rf $RPM_BUILD_ROOT

%files -f rpm-files

%doc LICENSE
